part of './packets.dart';

class SubackPacket extends MqttMessage {
  /// Initializes a new instance of the MqttConnectAckMessage class.
  SubackPacket.fromByteBuffer(MqttHeader head, MqttByteBuffer messageStream) {
    this.head = head;
    readFrom(messageStream);
  }
  int msgID = 0;

  void readFrom(MqttByteBuffer b) {
    // var flag = b.readByte();
    msgID = b.readShort();
  }

  @override
  String toString() => 'PubackPacket'
      'ReturnCode';
  @override
  Uint8List pack() {
    return Uint8List(0);
  }
}
