import 'package:flutter_mqtt/flutter_mqtt.dart';

void main() async {
  var cli = MqttClient("broker.emqx.io", 1883)
    ..withKeepalive(5)
    ..withClientID("mqtt_test");
  cli.onMqttConack((msg) {
    if (msg.returnCode != MqttConnectReturnCode.connectionAccepted) {
      cli.close();
      return;
    }
    print(msg);
  });
  cli.onBeforeReconnect(() async {
    print("reconnecting...");
  });

  cli.start();
}
